Loading...
Searching...
No Matches
fastjet::ClosestPair2D::Point Class Reference

More...

`#include <fastjet/internal/ClosestPair2D.hh>`

Collaboration diagram for fastjet::ClosestPair2D::Point:
[legend]

## Public Member Functions

double | distance2 (const Point &other) const
| returns the distance between two of these objects

## Public Attributes

Coord2D | coord
| the point's coordinates
Point * | neighbour
| a pointer to its closest neighbour in our structure
double | neighbour_dist2
| the corresponding squared distance
triplet< circulator > | circ
| circulators for each of the shifts of the shuffles
unsigned int | review_flag
| indicates that something special is currently happening to this point

## Detailed Description

Definition at line 194 of file ClosestPair2D.hh.

## Member Function Documentation

## distance2()

double fastjet::ClosestPair2D::Point::distance2 | ( | const Point & | other | ) | const

inline

returns the distance between two of these objects

Definition at line 209 of file ClosestPair2D.hh.

## Member Data Documentation

## coord

Coord2D fastjet::ClosestPair2D::Point::coord

the point's coordinates

Definition at line 197 of file ClosestPair2D.hh.

## neighbour

Point* fastjet::ClosestPair2D::Point::neighbour

a pointer to its closest neighbour in our structure

Definition at line 199 of file ClosestPair2D.hh.

## neighbour_dist2

double fastjet::ClosestPair2D::Point::neighbour_dist2

the corresponding squared distance

Definition at line 201 of file ClosestPair2D.hh.

## circ

triplet<circulator> fastjet::ClosestPair2D::Point::circ

circulators for each of the shifts of the shuffles

Definition at line 203 of file ClosestPair2D.hh.

## review_flag

unsigned int fastjet::ClosestPair2D::Point::review_flag

indicates that something special is currently happening to this point

Definition at line 206 of file ClosestPair2D.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/ClosestPair2D.hh